# Python

## Installation

It is possible to install the package directly from the repo hosted on [GitHub](https://github.com/circular-protocol/circular-py):

```bash
git clone https://github.com/circular-protocol/circular-py.git
```

and then using pip

```bash
pip install circular-py/circular_protocol_api/.
```

Or directly via the [PyPi repository](https://pypi.org/project/circular-protocol-api/) with:

```bash
pip install circular_protocol_api
```

## Example of usage

```python
from circular_protocol_api import CircularProtocolAPI

circular = CircularProtocolAPI()
result = circular.getBlockchains()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/python.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
